Bug 312405 - PhotoOverlay rendering broken
Summary: PhotoOverlay rendering broken
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 22:29 UTC by Dennis Nienhüser
Modified: 2013-01-01 10:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Nienhüser 2012-12-30 22:29:09 UTC
See examples/kml/Overlay.kml. Might be due to the bounding box being empty / not well defined.
Comment 1 Dennis Nienhüser 2013-01-01 10:06:12 UTC
Git commit 05acba924cead03d63c3d971fb2c6ab8055218be by Dennis Nienhüser.
Committed on 01/01/2013 at 10:34.
Pushed by nienhueser into branch 'master'.

GeoDataPoint: Change GeoDataCoordinates inheritance to containment.

If you run into this, please be reminded of GeoDataPoint's purpose:
"Nevertheless GeoDataPoint shouldn't be used if you just want to store
3d coordinates of a point that doesn't need to be inherited from GeoDataGeometry
In that case use GeoDataCoordinates instead which has nearly the same features
and is much more light weight.
Please consider this especially if you expect to have a high
amount of points e.g. for line strings, linear rings and polygons."

Fixes bounding box calculation.

M  +2    -2    src/lib/GeoPainter.cpp
M  +2    -2    src/lib/MarbleWidget.cpp
M  +3    -3    src/lib/Projections/SphericalProjection.cpp
M  +2    -2    src/lib/geodata/data/GeoDataPlacemark.cpp
M  +2    -2    src/lib/geodata/data/GeoDataPlacemark.h
M  +24   -16   src/lib/geodata/data/GeoDataPoint.cpp
M  +8    -5    src/lib/geodata/data/GeoDataPoint.h
M  +2    -0    src/lib/geodata/data/GeoDataPoint_p.h
M  +3    -3    src/lib/geodata/graphicsitem/GeoPhotoGraphicsItem.cpp
M  +9    -18   src/lib/geodata/handlers/kml/KmlCoordinatesTagHandler.cpp
M  +1    -1    src/lib/geodata/handlers/osm-namefinder/NamedTagHandler.cpp
M  +4    -4    src/lib/geodata/writers/kml/KmlPointTagWriter.cpp
M  +4    -4    src/lib/routing/RouteRequest.cpp
M  +1    -1    src/lib/routing/RoutingManager.cpp
M  +1    -1    src/plugins/render/overviewmap/OverviewMap.cpp
M  +1    -1    src/plugins/runner/gosmore-reversegeocoding/GosmoreReverseGeocodingRunner.cpp
M  +1    -1    src/plugins/runner/gpx/handlers/GPXwptTagHandler.cpp
M  +1    -1    src/plugins/runner/json/JsonParser.cpp
M  +1    -1    src/plugins/runner/nominatim-reversegeocoding/OsmNominatimReverseGeocodingRunner.cpp
M  +1    -1    src/plugins/runner/nominatim-search/OsmNominatimSearchRunner.cpp
M  +1    -1    src/plugins/runner/openrouteservice/OpenRouteServiceRunner.cpp
M  +1    -1    src/plugins/runner/osm/handlers/OsmNdTagHandler.cpp

http://commits.kde.org/marble/05acba924cead03d63c3d971fb2c6ab8055218be